From 9bcf556e994654a83c71386299230595c18193db Mon Sep 17 00:00:00 2001
From: Sergey Fedorov <vital.had@gmail.com>
Date: Mon, 22 Apr 2024 06:34:52 +0800
Subject: [PATCH] Fix PowerPC processor target

---
 ProcessorTargets.cmake | 2 ++
 1 file changed, 2 insertions(+)

diff --git ProcessorTargets.cmake ProcessorTargets.cmake
index 60fd1e35f..fdd4bc40a 100644
--- ProcessorTargets.cmake
+++ ProcessorTargets.cmake
@@ -10,6 +10,8 @@ set(PROC_TARGET_2_LABEL native CACHE STRING "Processor-2 label - use it for your
 # The flag is different on x86 and Arm based processors
 if(CMAKE_HOST_SYSTEM_PROCESSOR STREQUAL arm64)
     set(PROC_TARGET_2_FLAGS "-mcpu=native" CACHE STRING "Processor-2 flags")
+elseif(CMAKE_HOST_SYSTEM_PROCESSOR MATCHES "ppc|powerpc")
+    set(PROC_TARGET_2_FLAGS "-mtune=native" CACHE STRING "Processor-2 flags")
 else()
     set(PROC_TARGET_2_FLAGS "-march=native" CACHE STRING "Processor-2 flags")
 endif()


--- CMakeLists.txt	2024-02-16 13:12:09.000000000 +0800
+++ CMakeLists.txt	2024-04-24 11:31:38.000000000 +0800
@@ -199,7 +199,7 @@
     if(CMAKE_CXX_COMPILER MATCHES "g\\+\\+-mp-4.[5-8]"
        OR CMAKE_CXX_COMPILER_ARG1 MATCHES "g\\+\\+-mp-4.[5-8]")
         set(CMAKE_EXE_LINKER_FLAGS
-            "${CMAKE_EXE_LINKER_FLAGS} /usr/lib/libstdc++.6.dylib -Wl,-headerpad_max_install_names -mtune=generic -framework Foundation"
+            "${CMAKE_EXE_LINKER_FLAGS} /usr/lib/libstdc++.6.dylib -Wl,-headerpad_max_install_names -framework Foundation"
         )
         message(
             STATUS
@@ -214,7 +214,7 @@
     set(CMAKE_C_FLAGS
         "${CMAKE_C_FLAGS} -mmacosx-version-min=${CMAKE_OSX_DEPLOYMENT_TARGET}")
     set(CMAKE_EXE_LINKER_FLAGS
-        "${CMAKE_EXE_LINKER_FLAGS} -Wl,-headerpad_max_install_names -mtune=generic -framework Foundation"
+        "${CMAKE_EXE_LINKER_FLAGS} -Wl,-headerpad_max_install_names -framework Foundation"
     )
 endif()
 
